dojo.provide("com.ibm.bspace.PortletWindowFactory");

/*
 * This js create a portletWindow for each portlet. It main purpose is to change the portlet mode to "EDIT_DEFAULTS" to ensure
 * preference change of an iWidget is visible to all users who have authority to view the iWidget on the page
 */
dojo.declare("com.ibm.bspace.PortletWindowFactory", [], {

	constructor: function(){
    		this.map = {};
	},

	setPortletWindow: function (id, portletWindow){
		this.map[id] = portletWindow;
		this.configPortletWindow(portletWindow);

	},

	configurePortletWindow: function (portletWindow) {
		var state = portletWindow.getPortletState().returnObject;
		state.setPortletMode(ibm.portal.portlet.PortletMode.EDIT_DEFAULTS);
	},

	getPortletWindow: function(windowid) {
		if (!this.map[windowid]) {
			var portletWindow = new ibm.portal.portlet.PortletWindow(windowid);
			this.configurePortletWindow(portletWindow);
			this.map[windowid] = portletWindow;
		}
		return this.map[windowid];
	}

});