<!-- Copyright IBM Corp. 2007  All Rights Reserved.                    -->
	
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	>
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>

<xsl:param name="numOfEntries">1</xsl:param>

<xsl:template match="/rss/channel">
<h3><xsl:value-of select='title'/></h3>
<xsl:if test="image">
<img>
	<xsl:attribute name="src">
		<xsl:value-of select='image/url'/>
	</xsl:attribute>
	<xsl:attribute name="title">
		<xsl:value-of select='image/title'/>
	</xsl:attribute>
</img>
</xsl:if>
<xsl:for-each select="item[position() &lt;= $numOfEntries]">
	<div class="sponsoredLink">
		<a>
			<xsl:attribute name="href">
				<xsl:value-of select='link'/>
			</xsl:attribute>
			<xsl:value-of select="title"/>
		</a>
	</div>
	<div class="preFormatted" style="border: 0pt none ; padding: 0px;">
		<xsl:value-of select="description" disable-output-escaping="yes" />
	</div>
</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
