/** Licensed Materials - Property of IBM, 5724-E76 and 5724-E77, (C) Copyright IBM Corp. 2007 - All Rights reserved.  **/

/* ***************************************************************** */
/*                                                                                                                                    */
/* IBM Confidential                                                                                                         */
/*                                                                                                                                    */
/* OCO Source Materials                                                                                                */
/*                                                                                                                                    */
/* (C) Copyright IBM Corp. 2006,2007                                                                          */
/*                                                                                                                                    */
/* The source code for this program is not published or otherwise                               */
/* divested of its trade secrets, irrespective of what has been                                    */
/* deposited with the U.S. Copyright Office.                                                                 */
/*                                                                                                                                    */
/* ***************************************************************** */
dojo.provide( "ibm.portal.xml.xslt" );
dojo.require( "com.ibm.portal.xslt" );

//---------------------------------------------------------------------- xml related utility methods
/*
 * loadXml(sUrl) - returns oDomDoc. parses xml from the url into DOM document object.
 * loadXmlString() - returns oDomDoc. parses xml from the contents of the string into DOM document object.
 * loadXsl()
 * transform()
 */
ibm.portal.xml.xslt.ie = {};
ibm.portal.xml.xslt.gecko = {};

ibm.portal.xml.xslt.getXmlHttpRequest = function() {
	return com.ibm.portal.xslt.getXmlHttpRequest();
}

ibm.portal.xml.xslt.loadXml = function(sUrl) {
	return com.ibm.portal.xslt.loadXml(sUrl);
}

ibm.portal.xml.xslt.loadXmlString = function(sXml) {
	return com.ibm.portal.xslt.loadXmlString(sXml);
}

ibm.portal.xml.xslt.loadXsl = function(sUrl) {
	return com.ibm.portal.xslt.loadXsl(sUrl);
}

ibm.portal.xml.xslt.transform = function (xml, xsl, sXslMode, aXslParams, bReturnString)
{
   ibm.portal.debug.entry( "transform", [xml,xsl,sXslMode,aXslParams,bReturnString] );  
   return com.ibm.portal.xslt.transform(xml, xsl, sXslMode, aXslParams, bReturnString );
}

ibm.portal.xml.xslt.transformAndUpdate = function (/*HTMLElement*/nodeToUpdate, /*XMLDocument*/xml, /*XMLDocument*/xsl, /*String?*/sXslMode, /*Map*/aXslParams) {
	ibm.portal.debug.entry( "transformAndUpdate", [ nodeToUpdate, xml, xsl, sXslMode, aXslParams ]);
	com.ibm.portal.xslt.transformAndUpdate(nodeToUpdate, xml, xsl, sXslMode, aXslParams);	
	ibm.portal.debug.exit( "transformAndUpdate" );
}

//---------------------------------------------------------------------- IE xml related utility methods

ibm.portal.xml.xslt.ie.loadXml = function(sUrl) {
	return com.ibm.portal.xslt.ie.loadXml(sUrl);
}

ibm.portal.xml.xslt.ie.loadXmlString = function(sXml) {
	return com.ibm.portal.xslt.ie.loadXmlString(sXml);
}

ibm.portal.xml.xslt.ie.loadXsl = function(sUrl) {
	return com.ibm.portal.xslt.ie.loadXsl(sUrl);
}

ibm.portal.xml.xslt.ie.transform = function(xmlDoc, xsl, sXslMode, aXslParams,bReturnString) {
	return com.ibm.portal.xslt.ie.transform(xmlDoc, xsl, sXslMode, aXslParams,bReturnString);
}

//---------------------------------------------------------------------- GECKO xml related utility methods

ibm.portal.xml.xslt.gecko.loadXml = function(sUrl) {
    return com.ibm.portal.xslt.gecko.loadXml(sUrl);
}

ibm.portal.xml.xslt.gecko.loadXmlString = function(sXml) {
    return com.ibm.portal.xslt.gecko.loadXmlString(sXml);
}

ibm.portal.xml.xslt.gecko.loadXsl = function(sUrl) {
	return com.ibm.portal.xslt.gecko.loadXsl(sUrl);
}

ibm.portal.xml.xslt.gecko.transform = function(xmlDoc, xsl, sXslMode, aXslParams,bReturnString) {
	return com.ibm.portal.xslt.gecko.transform(xmlDoc, xsl, sXslMode, aXslParams,bReturnString);
}

/* This method sets the content of a layer within the HTML page
 * to the result of transforming the xml parameter by the xsl
 * parameter. The xml and xsl parameters may be of any form
 * supported by the transformXml() method. The layer parameter
 * may be either a DOM object or the name of a DOM object that
 * can be found using the findObject() method.
 */

ibm.portal.xml.xslt.setLayerContentByXml = function (layer, xml, xsl, xslparam,bReturnString) {
    com.ibm.portal.xslt.setLayerContentByXml(layer, xml, xsl, xslparam,bReturnString);
}
