    
function IFramePool() {
}

IFramePool.size = 3;
IFramePool.idPrefix = "IFramePool_";
IFramePool.freeIFrameName = "IFramePool_FreeOne";

IFramePool.buildPool = function(targetSize) {
	var iFrameElement = null;
	while(IFramePool.size < targetSize) {
        iFrameElement = document.createElement('iframe');
        iFrameElement.src = "blankPage.html";
        iFrameElement.id = IFramePool.idPrefix + IFramePool.size;
        IFramePool.resetIFrame(iFrameElement);
        
        document.body.appendChild(iFrameElement);
        IFramePool.size ++;
	}
	
	return iFrameElement;
}

IFramePool.getFreeIFrame = function(orderId) {
	try {
		var id;
		var iFrameElement;
		for(var i=0; i<IFramePool.size; i++) {
			id = IFramePool.idPrefix + i;
			iFrameElement = document.getElementById(id);
			if(iFrameElement && iFrameElement.name == IFramePool.freeIFrameName) {
				iFrameElement.name = orderId;
				return iFrameElement;
			}
		}
		
		var lastNewIFrame = IFramePool.buildPool(IFramePool.size + 2);
		if(lastNewIFrame) {
			lastNewIFrame.name = orderId;
		}
		return lastNewIFrame;
	} catch(err) {
		return null;
	}
}

IFramePool.recycleIFrame = function(orderId) {
	try {
		for(var i=0; i<IFramePool.size; i++) {
			var id = IFramePool.idPrefix + i;
			var iFrameElement = document.getElementById(id);
			if(iFrameElement && iFrameElement.name == orderId) {
				IFramePool.resetIFrame(iFrameElement);
				return;
			}
		}
	} catch(err) {
	}
}

IFramePool.resetIFrame = function(iFrameElement) {
    iFrameElement.style.width = '0px';
    iFrameElement.style.height = '0px';
    iFrameElement.style.position = 'absolute';
    iFrameElement.style.top = '0px';
    iFrameElement.style.left = '0px';

    if (dojo.isIE) {
	    iFrameElement.style.zIndex='0';
	} else {
	  	iFrameElement.style.zIndex='-1';
	} 

    iFrameElement.setAttribute('frameborder','0');
    iFrameElement.name = IFramePool.freeIFrameName;
}


